Bug 1118470 - Database Logging: Problems with Microsoft
Summary: Database Logging: Problems with Microsoft
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER5
: 6.1.0
Assignee: Van Halbert
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 19:37 UTC by Thomas Hauser
Modified: 2016-02-10 08:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When the Microsoft SQL Server driver was used for the database logging feature, table creation would fail with errors. This was because it used the column heading name ROWCOUNT which was reserved in SQL Server. The column name has now been changed to "row_count" and, as a result, database logging now works without error.
Clone Of:
Environment:
Last Closed: 2016-02-10 08:56:06 UTC
Type: Bug


Attachments (Terms of Use)
Full server.log of failed startup (121.96 KB, text/x-log)
2014-07-10 19:37 UTC, Thomas Hauser
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-3245 Major Closed Database Logging: Problems with Microsoft 2015-10-08 14:39:56 UTC

Description Thomas Hauser 2014-07-10 19:37:42 UTC
Created attachment 917169 [details]
Full server.log of failed startup

Description of problem:
When using the Microsoft SQL Server driver as the database backing the database logging feature, table creation fails with errors.

Version-Release number of selected component (if applicable):
6.1.0 DR1

How reproducible:
Always

Steps to Reproduce:
1. Install DV using the (upcoming) DR2 installer
2. Elect to install a JDBC driver and configure database logging
3. Install the microsoft JDBC driver
4. Enter the details of the database logging database in the following panel.
5. Installation will complete successfully. 
6. Attempt to start the newly installed server.

Actual results:
The following stacktrace is encountered upon server startup: 
http://pastebin.test.redhat.com/220860

Expected results:
Table creation succeeds and commands are logged.

Additional info:
JDBC driver used is here: http://www.qa.jboss.com/jdbc-drivers-products/jdbc/EAP/6.3.0/mssql2012/jdbc4/sqljdbc4.jar

Comment 3 JBoss JIRA Server 2014-12-05 23:20:06 UTC
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3245 to Resolved

Comment 4 JBoss JIRA Server 2015-10-08 14:39:56 UTC
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3245 to Closed


Note You need to log in before you can comment on or make changes to this bug.